get
https://api.getpinch.com.au/test/payers/
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
A payer is someone who you are going to debit. It stores basic information about the person and also their bank details.
| id string | The ID of the payer. Payers are always prefixed with "pyr_" |
| firstName string | First Name |
| lastName string | Last Name |
| emailAddress string | Email Address |
| mobileNumber string | Mobile Number |
| streetAddress string | Street Address |
| suburb string | Suburb, District or County |
| postCode string | Postcode or Zip Code |
| state string | State or Region |
| country string | Country |
| companyName string | The company name for the payer record if not a person |
| companyRegistrationNumber string | The government assigned company number for identification purposes if the payer is not a person |
| metadata string (JSON Array of objects) | A JSON array of metadata objects. Extra information that may be included for integration purposes. |
| agreements Array of Agreement | A list of agreements for the current Payer. An agreement represents a contract between the Payer and Pinch to allow for direct debiting of their bank account. Also known as a Direct Debit Request or DDR. |
| sources Array of Source | A list of stored payment sources for the payer. May or may not be reusable for future transactions. |
Agreement
| id string | The Id for the agreement. Prefixed with "agr_". |
| anonymousViewToken string | Allows the user to access the PDF copy of the contract anonymously for a short period of time. |
| agreementDateUtc date | The date that the agreement contract was generated. |
| confirmedDateUtc date | The date that the user confirmed and agreed to the agreement contract. |
Source
| id string | The ID for the source. Prefixed with "src_". |
| sourceType string | The type of source. "bank-account" or "credit-card". |
| bankAccountNumber string | The bank account number |
| bankAccountBsb string | The bank account routing number. (BSB in Australia). |
| bankAccountName string | The name of the bank account owner |
| token string | The token used to store the bank account. Returned by the tokenisation endpoint. |
| cardHolderName string | The name of the credit card owner |
| expiryDate string (date) | The expiry date of the credit card |
| displayCardNumber string | The last 4 digits of the credit card or bank account. For display purposes. |
| cardScheme string | The credit card scheme: "visa", "mastercard", "amex", etc... |
| origin string | The country of origin for the bank account or credit card. 2 digit country code as per: ISO 3166-1 alpha-2. |
| funding string | The funding source of the credit card. Can be "credit", "debit", "prepaid", "charge", "deferred-debit". |
| isAuthorised boolean | Used mostly for credit cards, it shows whether the card has been authorised succesfully (either a zero dollar authorisation, or a successful payment). |
| supportsRealtime boolean | Whether this source can be used with the realtime payment endpoint. |
